<h2>About</h2>
The showcar-ui library can be used to implement a consistent user experience for our AutoScout24 pages.
The library provides several pre-defined CSS classes and components you can use to create the frontend of your web based application.
The structure of all elements follows the <a href="http://bradfrost.com/blog/post/atomic-web-design/" target="_blank">ATOMIC DESIGN</a> principle.

<h4>Github repository:</h4> <a href="https://github.com/AutoScout24/showcar-ui" target="_blank">https://github.com/AutoScout24/showcar-ui</a>

<br>

This documentation follows the following structure:

* <h4>Getting started</h4>: General information about showcar-ui and how to use it.
* <h4>Globals:</h4> Describing global elements like variables.
* <h4>Atoms:</h4> the basic building blocks of matter.
* <h4>Molecules:</h4> Molecules are groups of atoms bonded together.
* <h4>Organisms:</h4> Organisms are groups of molecules joined together to form a relatively complex, distinct section of an interface.
* <h4>Utilities:</h4> Information about utility classes and layout.
* <h4>Extra packages:</h4> Here you can find more information about additional showcar-* NPM packages that can be used with showcar-ui (e.g. gallery, icons, etc.).

<br>

Label description:

<span class="status approved">Approved</span> - Element is completely implemented and approved. <br>
<span class="status review">Needs review</span> - Element is implemented and can be used but needs to be reviewed. <br>
<span class="status refactor">Needs refactoring</span> - Element is implemented and can be used but needs improvement. <br>
<span class="status deprecated">Deprecated</span> - Don't use this element. <br>
<span class="status js">JS</span> - Element depends on JavaScript (showcar-ui.js).
